; ***
; 191 instructions
; 377 bytes w/o picture code
; 1940 clock cycles
;***
; Only 1 should be uncommented
;#define FIX 0  ;B/W Uncompressed
;#define FIX 1  ;B/W RLE
;#define FIX 2  ;B/W VRLE
;#define FIX 3  ;4 Greys Uncompressed
;#define FIX 4  ;4 Greys RLE
;#define FIX 5  ;4 Greys VRLE
;#define FIX 6  ;8 Greys Uncompressed
;#define FIX 7  ;8 Greys RLE
#define FIX 8  ;8 Greys VRLE
; ***
#include "asm86.h"
#include "ti86asm.inc"

.org _asm_exec_ram

 call _runindicoff
 ld a,FIX
 cp 3
 jr z,Grey_4
 cp 4
 jr z,RLE_4
 cp 5
 jr z,VRLE_4
 cp 6
 jr z,Grey_8
 cp 7
 jr z,RLE_8
 cp 8
 jr z,VRLE_8
 cp 1
 jr z,RLE_2
 cp 2
 jr z,VRLE_2
 or a
 jr z,DispPic
; * *
RLE_4:
 call G_RLE_1
 call G_RLE_2
 
Grey_4:
 ld a,$2A
 out (0),a
 halt
 ld a,$2E
 out (0),a
 halt
 halt
 call _getky
 or a
 jr nz,EXIT
 jr Grey_4
 
VRLE_4:
 call G_VLE_1
 call G_VLE_2
 call Grey_4
; * *
RLE_8:
 call G_RLE_1
 call G_RLE_2
 call G_RLE_3
 call Grey_8
 
VRLE_8:
 call G_VLE_1
 call G_VLE_2
 call G_VLE_3
 
Grey_8:
 ld a,$2A
 out (0),a
 halt
 ld a,$2E
 out (0),a
 halt
 halt
 ld a,$32
 out (0),a
 halt
 halt
 halt
 call _getky
 or a
 jr nz,EXIT
 jr Grey_8
; * *
Pause:
 call _getkey
EXIT:
 ld a,$3C
 out (0),a
 call _clrScrn
 call _homeup
 jp _jforcecmdnochar
; * *
Not_2:
 ld hl,Layer1
 call DispPic
 jr Pause

RLE_2:
 ld hl,Layer1
 call DispRLE
 jr Pause

VRLE_2:
 ld hl,Layer1
 call DispVLE
 jr Pause
; * *
DispPic:
 ld de,$FC00
 ld bc,1024
 ldir
 ret
 
G_RLE_1:
 ld hl,Layer1
 call DispRLE
 jp Grey1
 
G_RLE_2:
 ld hl,Layer2
 call DispRLE
 jp Grey2
 
G_RLE_3:
 ld hl,Layer3
 call DispRLE
 jp Grey3
 
G_VLE_1:
 ld hl,Layer1
 call DispVLE
 jp Grey1
 
G_VLE_2:
 ld hl,Layer2
 call DispVLE
 jp Grey2
 
G_VLE_3:
 ld hl,Layer3
 call DispVLE
 jp Grey3
 
Grey1:
 ld de,$EA00
 jp Load_Grey
 
Grey2:
 ld de,$EE00
 jp Load_Grey
 
Grey3:
 ld de,$F200
 jp Load_Grey

Load_Grey:
 ld hl,$FC00
 ld bc,1024
 ldir
 ret
; * *
DispRLE:
 ld bc,1024
 ld de,$FC00
DispRLEL:
 ld a,(hl)
 cp $91
 jr z,DispRLERun
 ldi
DispRLEC:
 ld a,b
 or c
 jr nz,DispRLEL
 ret
DispRLERun:
 inc hl
 ld a,(hl)
 inc hl
 push hl
 ld h,(hl)
 ex de,hl
DispRLERunL:
 ld (hl),a
 inc hl
 dec bc
 dec d
 jr nz,DispRLERunL
 ex de,hl
 pop hl
 inc hl
 jr DispRLEC

DispVLE:
 ld de,$FC00
 push hl
 push de
 ld hl,1024
 add hl,de
 ld a,h
 or l
 jr nz,$+5
 ld hl,$FFFF
 ld de,DispVLEMod
 ex de,hl
 ld (hl),e
 inc hl
 ld (hl),d
 pop de
 pop hl
 ld bc,1024
DispVLEL:
 ld a,(hl)
 cp $91
 jr z,DispVLERun
 ldi
 dec de
 call DispVLEAdvanceRow
DispVLEC:
 ld a,b
 or c
 jr nz,DispVLEL
 ret
DispVLERun:
 inc hl
 ld a,(hl)
 inc hl
 push hl
 ld h,(hl)
DispVLERunL:
 ld (de),a
 call DispVLEAdvanceRow
 dec bc
 dec h
 jr nz,DispVLERunL
 pop hl
 inc hl
 jr DispVLEC
DispVLEAdvanceRow:
 push hl
 ld hl,16
 add hl,de
 jr c,DispVLEBackToTop+1
DispVLEMod = $+1
 ld de,$0000
 push hl
 or a
 sbc hl,de
 jr nc,DispVLEBackToTop
 pop de
 pop hl
 ret
DispVLEBackToTop:
 pop hl
 ld de,16 * 64
 or a
 sbc hl,de
 inc hl
 ex de,hl
 pop hl
 ret
;***
; iStudio Data goes here
Layer1:
 .db $91,$0F,$05,$1F,$0F,$91,$1F,$1D,$3F,$3F,$3F,$91,$1F,$04,$91,$3F
 .db $04,$1F,$1F,$1F,$3F,$91,$1F,$07,$0F,$91,$00,$05,$FF,$FF,$F0,$C0
 .db $C0,$F9,$F0,$F1,$F1,$F0,$C0,$80,$80,$91,$83,$06,$91,$BF,$14,$3F
 .db $3F,$80,$80,$90,$80,$80,$80,$E3,$E0,$E0,$E5,$E7,$C7,$C7,$CF,$CF
 .db $FF,$FF,$FF,$01,$91,$00,$04,$FF,$FF,$00,$00,$00,$E3,$72,$F3,$E3
 .db $07,$00,$00,$1E,$0E,$8E,$8E,$8E,$C6,$C7,$91,$FF,$16,$91,$00,$06
 .db $80,$11,$31,$F1,$91,$F3,$04,$F7,$91,$FF,$04,$91,$00,$04,$FF,$FF
 .db $30,$30,$70,$FF,$30,$C0,$80,$0E,$00,$00,$00,$01,$3F,$3F,$19,$01
 .db $01,$C6,$91,$FF,$15,$91,$00,$06,$20,$E3,$E7,$C7,$C7,$C7,$E0,$E0
 .db $F0,$91,$FF,$04,$91,$00,$04,$FF,$FF,$38,$10,$38,$FF,$1C,$70,$70
 .db $63,$00,$00,$47,$CF,$C8,$40,$84,$C0,$C0,$60,$80,$F0,$F0,$F0,$F8
 .db $F0,$FC,$FE,$91,$FF,$0B,$FE,$FF,$91,$00,$07,$91,$91,$01,$83,$83
 .db $03,$13,$30,$70,$F8,$FF,$FF,$FF,$78,$91,$00,$04,$FF,$FF,$0C,$0C
 .db $0E,$FE,$0C,$0C,$0C,$8C,$00,$00,$0C,$1C,$91,$00,$12,$A4,$F0,$F0
 .db $F8,$D0,$D0,$FC,$00,$FF,$91,$00,$06,$04,$CC,$C8,$C8,$88,$88,$08
 .db $08,$1C,$FF,$FF,$FC,$91,$00,$05,$FE,$3E,$04,$04,$04,$38,$20,$38
 .db $78,$78,$00,$00,$41,$F1,$11,$11,$11,$10,$10,$12,$33,$03,$00,$00
 .db $10,$10,$10,$00,$01,$00,$10,$30,$30,$10,$30,$00,$01,$03,$13,$33
 .db $F3,$03,$03,$73,$07,$03,$03,$F2,$E2,$E2,$E4,$E4,$C6,$04,$04,$0C
 .db $F0,$C0,$91,$00,$06,$91,$20,$06,$00,$40,$80,$60,$60,$E0,$60,$60
 .db $E0,$E0,$E1,$E7,$E7,$A6,$E6,$8C,$88,$80,$E0,$E0,$E7,$E0,$E0,$A0
 .db $F0,$E0,$60,$60,$E0,$E0,$E1,$E6,$91,$E0,$07,$C0,$28,$40,$20,$60
 .db $40,$80,$00,$00,$70,$91,$00,$10,$10,$30,$20,$60,$40,$40,$80,$80
 .db $80,$91,$01,$0A,$C0,$60,$20,$30,$30,$30,$20,$20,$44,$C4,$84,$05
 .db $03,$03,$01,$03,$02,$22,$43,$40,$D0,$40,$82,$82,$91,$80,$04,$F0
 .db $00,$91,$03,$07,$07,$91,$00,$04,$28,$10,$7B,$7F,$5F,$7F,$7F,$7F
 .db $91,$FF,$0D,$C7,$07,$06,$34,$7C,$91,$F8,$06,$FC,$FE,$FF,$FF,$FF
 .db $3F,$3F,$3F,$7F,$38,$30,$63,$63,$67,$46,$47,$C7,$E0,$E0,$F0,$91
 .db $FF,$04,$91,$FE,$04,$91,$00,$06,$FF,$FF,$FF,$13,$00,$10,$9F,$70
 .db $FF,$91,$00,$12,$80,$91,$00,$08,$96,$FF,$FF,$39,$10,$10,$91,$91
 .db $01,$01,$01,$03,$13,$33,$23,$F3,$91,$FF,$04,$03,$01,$01,$03,$91
 .db $00,$06,$FF,$FF,$FF,$E7,$00,$00,$FF,$20,$FF,$91,$00,$1C,$FF,$FF
 .db $0E,$0C,$08,$C8,$80,$80,$81,$8B,$80,$80,$90,$FF,$FF,$FB,$FF,$81
 .db $B5,$F6,$B7,$91,$00,$06,$F0,$F8,$EB,$EF,$00,$00,$B3,$00,$FF,$91
 .db $00,$1B,$43,$FF,$FF,$1F,$0F,$9F,$FF,$00,$00,$01,$1F,$1F,$3F,$37
 .db $FF,$FF,$8F,$FF,$C0,$E0,$C0,$FF,$91,$00,$06,$7F,$FF,$FF,$FF,$3F
 .db $3F,$BF,$3F,$FF,$91,$00,$1A,$13,$91,$FF,$07,$E0,$E0,$F0,$91,$FF
 .db $05,$FE,$FF,$F7,$FF,$EF,$E3,$F3,$91,$00,$06,$91,$FF,$04,$C4,$C0
 .db $FC,$FF,$FF,$91,$01,$1A,$FF,$FF,$FE,$F8,$F0,$FB,$FF,$FF,$70,$70
 .db $7C,$FC,$F8,$F0,$F0,$20,$C0,$CD,$FF,$FF,$BF,$BF,$FF,$91,$00,$06
 .db $B0,$91,$F0,$04,$70,$91,$F0,$0C,$91,$F8,$10,$FC,$FC,$FC,$7C,$18
 .db $08,$8C,$8C,$8C,$1C,$1C,$3C,$7C,$FC,$FC,$1C,$18,$1C,$FC,$91,$3C
 .db $05

Layer2:
 .db $33,$10,$10,$30,$30,$20,$30,$91,$20,$0C,$91,$60,$11,$40,$40,$40
 .db $91,$60,$04,$91,$40,$04,$60,$60,$60,$40,$91,$60,$07,$30,$1F,$03
 .db $00,$00,$00,$20,$01,$08,$20,$30,$00,$09,$00,$11,$01,$30,$40,$33
 .db $30,$20,$20,$20,$24,$24,$00,$40,$40,$91,$00,$06,$91,$40,$0B,$C0
 .db $C0,$70,$70,$60,$73,$43,$63,$04,$07,$00,$02,$00,$28,$68,$00,$20
 .db $00,$00,$00,$FE,$FF,$01,$00,$00,$07,$E0,$0F,$00,$03,$00,$81,$00
 .db $00,$00,$06,$00,$00,$90,$00,$00,$40,$09,$91,$00,$17,$3F,$18,$0C
 .db $8E,$88,$80,$18,$80,$02,$12,$91,$00,$09,$FF,$FF,$00,$00,$C0,$00
 .db $CF,$40,$8F,$00,$C1,$00,$00,$10,$18,$00,$00,$02,$20,$00,$26,$00
 .db $82,$39,$91,$00,$15,$FF,$00,$7F,$FF,$10,$10,$C3,$04,$00,$20,$28
 .db $28,$06,$00,$09,$91,$00,$04,$FF,$FF,$00,$00,$60,$00,$C7,$28,$C7
 .db $00,$E2,$88,$00,$00,$02,$00,$88,$00,$07,$8F,$42,$00,$20,$9F,$7F
 .db $0F,$0F,$0F,$07,$0F,$03,$01,$91,$00,$0B,$01,$00,$FF,$20,$FF,$A3
 .db $00,$00,$91,$91,$01,$02,$90,$10,$90,$20,$00,$00,$04,$00,$00,$00
 .db $87,$FD,$40,$00,$00,$C0,$00,$F3,$12,$90,$00,$32,$02,$02,$00,$00
 .db $00,$90,$80,$1C,$18,$18,$18,$1C,$91,$FF,$06,$91,$FE,$07,$58,$0C
 .db $0C,$04,$2C,$2C,$03,$FF,$00,$64,$00,$E2,$02,$00,$00,$C8,$00,$04
 .db $01,$41,$01,$10,$14,$C2,$00,$00,$03,$FF,$91,$00,$04,$01,$C1,$18
 .db $18,$38,$04,$18,$40,$00,$00,$08,$01,$B0,$00,$E0,$A2,$E2,$20,$60
 .db $E1,$C0,$00,$01,$01,$00,$00,$20,$31,$00,$01,$20,$00,$44,$60,$40
 .db $70,$00,$00,$E4,$C4,$04,$64,$24,$04,$70,$00,$10,$05,$14,$04,$02
 .db $00,$00,$82,$0A,$60,$0C,$30,$C0,$80,$91,$00,$04,$D0,$D0,$50,$50
 .db $50,$D0,$F0,$90,$78,$88,$88,$08,$88,$80,$01,$19,$1E,$18,$10,$50
 .db $18,$10,$14,$50,$00,$00,$00,$1C,$18,$50,$00,$10,$90,$80,$10,$10
 .db $1E,$19,$91,$00,$07,$38,$D0,$A0,$C0,$80,$80,$01,$81,$C9,$88,$91
 .db $00,$10,$20,$00,$50,$00,$20,$81,$41,$01,$01,$80,$00,$00,$00,$91
 .db $02,$07,$82,$52,$02,$02,$00,$14,$44,$21,$01,$41,$02,$00,$00,$02
 .db $00,$01,$45,$24,$BC,$2C,$86,$44,$44,$06,$04,$04,$54,$04,$25,$91
 .db $04,$07,$08,$00,$00,$00,$10,$16,$6F,$04,$00,$20,$80,$80,$80,$91
 .db $00,$0D,$38,$00,$00,$48,$00,$04,$91,$00,$04,$04,$91,$00,$05,$C0
 .db $00,$00,$83,$44,$40,$10,$04,$04,$21,$A8,$21,$02,$10,$09,$91,$00
 .db $07,$DB,$00,$00,$00,$FF,$00,$7F,$00,$00,$00,$0C,$13,$8E,$60,$8F
 .db $00,$80,$91,$00,$05,$91,$80,$05,$00,$00,$20,$30,$00,$01,$03,$1F
 .db $FF,$77,$07,$07,$9F,$FF,$FF,$FF,$69,$00,$00,$02,$08,$89,$08,$92
 .db $92,$90,$20,$00,$50,$0C,$91,$00,$05,$02,$02,$01,$00,$00,$00,$FF
 .db $00,$FF,$00,$00,$00,$18,$FF,$F1,$00,$DF,$91,$00,$0E,$02,$03,$0E
 .db $1E,$0E,$1E,$0C,$0C,$80,$C0,$E7,$91,$FF,$04,$00,$01,$10,$00,$C0
 .db $00,$48,$4C,$4E,$44,$58,$10,$4C,$00,$00,$04,$00,$7E,$4A,$09,$48
 .db $00,$00,$00,$FF,$00,$FF,$0F,$07,$14,$10,$FF,$01,$4C,$FF,$91,$00
 .db $0E,$18,$1D,$1F,$1F,$1F,$91,$3F,$05,$91,$FF,$04,$BC,$00,$80,$00
 .db $10,$40,$00,$7F,$13,$1E,$80,$00,$00,$48,$00,$00,$70,$00,$3F,$1F
 .db $33,$91,$00,$04,$FF,$1F,$FF,$80,$00,$00,$00,$C0,$00,$40,$C0,$91
 .db $00,$0C,$01,$07,$91,$FF,$0D,$EC,$91,$00,$07,$1F,$1D,$0F,$91,$00
 .db $05,$01,$00,$08,$00,$10,$1C,$05,$00,$00,$00,$80,$FF,$FF,$91,$00
 .db $04,$39,$3C,$03,$00,$00,$1E,$91,$00,$08,$1C,$3C,$3C,$91,$FE,$0E
 .db $00,$00,$01,$04,$08,$04,$00,$00,$8F,$8C,$82,$00,$00,$09,$01,$D0
 .db $21,$32,$00,$00,$40,$40,$14,$91,$00,$04,$C0,$E0,$40,$91,$00,$04
 .db $80,$91,$00,$04,$91,$08,$08,$91,$00,$09,$91,$04,$07,$00,$00,$00
 .db $80,$04,$04,$91,$00,$04,$20,$91,$00,$04,$E0,$04,$E0,$00,$C0,$C0
 .db $C0,$80,$80

Layer3:
 .db $5C,$6B,$7B,$5F,$5F,$4F,$5F,$CF,$4F,$91,$CF,$06,$DF,$DF,$FF,$FF
 .db $91,$BF,$11,$9F,$9F,$9F,$91,$BF,$04,$9F,$9F,$DF,$9F,$BF,$BF,$BF
 .db $9F,$91,$BF,$06,$AF,$D0,$60,$3C,$1F,$1F,$C0,$DF,$FE,$CC,$D8,$C8
 .db $F0,$F9,$F9,$E0,$F0,$F0,$B0,$D1,$43,$F3,$67,$66,$43,$47,$47,$1F
 .db $1F,$91,$5F,$05,$7F,$91,$3F,$0B,$AF,$BF,$09,$10,$21,$00,$B0,$F0
 .db $F7,$F3,$E0,$E0,$CF,$E7,$8F,$E7,$DF,$FF,$FF,$3F,$7E,$00,$FE,$FF
 .db $01,$F8,$1F,$00,$00,$00,$E3,$E3,$62,$E7,$87,$09,$0A,$18,$1E,$8C
 .db $CA,$83,$85,$EA,$C4,$FE,$F7,$FD,$91,$FF,$10,$FB,$FF,$C0,$07,$1B
 .db $01,$00,$08,$01,$19,$79,$E3,$F3,$F3,$F7,$E7,$FB,$FF,$FF,$FF,$04
 .db $00,$00,$FF,$87,$3F,$FF,$70,$F8,$30,$FF,$3A,$C0,$8C,$0C,$04,$10
 .db $00,$01,$4E,$00,$18,$01,$00,$ED,$98,$00,$80,$80,$C0,$E0,$E0,$B8
 .db $C0,$E0,$F0,$F0,$F0,$F8,$F8,$F8,$FD,$FE,$FD,$FF,$FF,$00,$FF,$80
 .db $00,$08,$00,$91,$91,$01,$F7,$EF,$CF,$C7,$C7,$E2,$F0,$F6,$FF,$FF
 .db $FF,$00,$00,$00,$FF,$DE,$9F,$FF,$10,$78,$18,$FF,$0B,$78,$61,$01
 .db $61,$00,$45,$CF,$4F,$8C,$48,$00,$20,$93,$7F,$0F,$0F,$0F,$07,$0F
 .db $03,$01,$91,$00,$08,$80,$00,$00,$01,$FD,$00,$DF,$30,$5C,$3C,$18
 .db $08,$81,$13,$87,$17,$03,$33,$70,$FB,$FF,$FF,$FF,$87,$02,$BF,$FD
 .db $00,$3F,$FF,$1A,$09,$7D,$FE,$4A,$0E,$8C,$C2,$8C,$00,$80,$8C,$98
 .db $00,$00,$04,$80,$90,$E0,$C8,$F9,$F9,$FE,$F3,$FB,$FA,$FE,$FE,$FC
 .db $FC,$5A,$0E,$0C,$04,$2C,$28,$00,$FF,$F4,$83,$E7,$05,$E5,$04,$04
 .db $80,$CC,$CD,$CC,$88,$99,$0C,$08,$3D,$FF,$FF,$83,$80,$FF,$FC,$80
 .db $00,$FF,$FC,$2C,$24,$04,$3C,$04,$2C,$78,$40,$71,$00,$20,$F0,$33
 .db $50,$11,$70,$10,$14,$16,$01,$03,$00,$35,$37,$15,$10,$03,$01,$31
 .db $54,$10,$74,$50,$30,$00,$07,$33,$D7,$17,$97,$4F,$8F,$AB,$F7,$E3
 .db $60,$E0,$F2,$E4,$C2,$E4,$0E,$04,$FA,$FA,$0C,$38,$70,$C0,$00,$00
 .db $00,$60,$20,$20,$20,$A0,$60,$40,$A8,$40,$90,$B0,$60,$A0,$A0,$3D
 .db $65,$20,$A8,$A9,$E3,$E4,$EC,$C8,$A0,$30,$30,$31,$AF,$B0,$F8,$A0
 .db $30,$E0,$B0,$A0,$A0,$A8,$AD,$20,$F0,$60,$91,$E0,$04,$38,$05,$20
 .db $60,$20,$E0,$40,$01,$30,$F1,$70,$91,$00,$0F,$20,$30,$20,$20,$C1
 .db $C0,$C0,$C3,$03,$91,$02,$04,$91,$00,$06,$82,$50,$20,$30,$34,$26
 .db $61,$65,$E2,$A2,$87,$0C,$05,$04,$07,$04,$04,$02,$41,$62,$A0,$02
 .db $48,$88,$C0,$82,$80,$84,$F8,$52,$0B,$0B,$0B,$91,$0F,$04,$03,$00
 .db $00,$00,$0F,$25,$68,$55,$D3,$F7,$57,$57,$FF,$5F,$5F,$56,$5F,$5F
 .db $DF,$5F,$DF,$D7,$D7,$DF,$DF,$DF,$66,$C7,$0E,$1E,$F4,$78,$FC,$FC
 .db $DC,$FC,$F8,$FC,$FC,$FF,$FF,$FF,$7F,$3F,$3F,$FC,$38,$70,$70,$73
 .db $43,$EF,$46,$6E,$44,$60,$F6,$FF,$FF,$FF,$DF,$FF,$FF,$DF,$24,$00
 .db $00,$1F,$00,$D0,$80,$C0,$FF,$34,$A0,$1C,$61,$FF,$8F,$FF,$00,$91
 .db $80,$05,$7E,$7E,$7F,$7F,$43,$01,$01,$19,$49,$71,$02,$04,$60,$00
 .db $80,$00,$00,$68,$A0,$80,$80,$69,$FF,$FF,$78,$38,$98,$93,$81,$01
 .db $11,$13,$33,$40,$63,$FF,$FF,$F3,$07,$07,$03,$03,$2E,$00,$00,$FF
 .db $00,$00,$27,$00,$FF,$F1,$3A,$20,$0E,$81,$D8,$FF,$91,$00,$08,$F6
 .db $FE,$F8,$E0,$C0,$85,$8C,$81,$81,$11,$00,$12,$90,$00,$00,$58,$08
 .db $04,$00,$FF,$FF,$FE,$8E,$08,$00,$EC,$8C,$02,$82,$9F,$89,$08,$A8
 .db $FF,$FF,$F5,$FF,$C3,$8A,$25,$FD,$00,$00,$FF,$00,$03,$00,$0F,$47
 .db $14,$90,$00,$FE,$CC,$8F,$FD,$0C,$91,$00,$06,$05,$8F,$8F,$8F,$0F
 .db $1F,$07,$02,$00,$00,$20,$91,$00,$04,$40,$10,$CC,$30,$00,$BC,$FF
 .db $7F,$2F,$0F,$B0,$F7,$41,$3C,$92,$9F,$3F,$1F,$A8,$FF,$FF,$D2,$C1
 .db $E1,$D9,$ED,$F7,$00,$00,$FC,$00,$E0,$3F,$80,$01,$07,$07,$2F,$CF
 .db $4F,$C0,$FF,$FF,$91,$00,$04,$07,$7F,$91,$FF,$04,$FE,$F8,$91,$00
 .db $0A,$03,$BF,$00,$6C,$7F,$91,$FF,$04,$FC,$FF,$F7,$7B,$ED,$FF,$FF
 .db $F0,$01,$FF,$FF,$7E,$EB,$E3,$71,$75,$F6,$00,$00,$00,$70,$39,$87
 .db $00,$FF,$FF,$CF,$E2,$E0,$F7,$0F,$FF,$E1,$0F,$3F,$91,$FF,$06,$E3
 .db $C3,$C3,$91,$01,$06,$09,$09,$1D,$1F,$7E,$FE,$FF,$7A,$00,$FF,$FC
 .db $F8,$F9,$F9,$7E,$FF,$F1,$EB,$F2,$FC,$FC,$70,$D0,$00,$1E,$03,$03
 .db $FE,$FE,$2C,$EB,$91,$00,$05,$70,$C0,$50,$D0,$D0,$50,$F0,$F0,$F8
 .db $F8,$F8,$91,$F0,$05,$F8,$F8,$F8,$F0,$F0,$F0,$91,$F8,$04,$FC,$FC
 .db $91,$F8,$05,$FC,$FC,$F8,$FC,$F8,$B8,$0C,$9C,$C8,$CE,$9E,$9E,$18
 .db $7E,$7E,$CE,$FC,$18,$1C,$18,$FC,$BC,$DC,$DC,$CC,$DC
;***
 
.end